<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "dictionary_relationship".
 *
 * @property int $id
 * @property int|null $dictionary_id 字典ID
 * @property int|null $relation_id 派生关系的字典ID
 */
class DictionaryRelationship extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'dictionary_relationship';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['dictionary_id', 'relation_id'], 'integer'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'dictionary_id' => 'Dictionary ID',
            'relation_id' => 'Relation ID',
        ];
    }
}
